rpm: rpmsign.c File Reference

rpm 4.12.0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
rpmsign.c File Reference
`#include "system.h"`
`#include <errno.h>`
`#include <sys/wait.h>`
`#include <popt.h>`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmsign.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmsign.c:

Go to the source code of this file.

## Enumerations
enum | modes { MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_EXPORTDB = (1 << 3), MODE_IMPORTDB = (1 << 4), MODE_CHECKSIG = (1 << 0), MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_UNKNOWN = 0, MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2), MODE_UNKNOWN = 0, MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1) }

## Functions
static int | checkPassPhrase (const char *passPhrase)
static int | doSign (poptContext optCon)
int | main (int argc, char *argv[])

## Variables
char ** | environ = NULL
static int | mode = 0
static struct poptOption | signOptsTable []
static struct poptOption | optionsTable []

## Enumeration Type Documentation

enum modes

Enumerator
MODE_BUILD |
MODE_REBUILD |
MODE_RECOMPILE |
MODE_TARBUILD |
MODE_INITDB |
MODE_REBUILDDB |
MODE_VERIFYDB |
MODE_EXPORTDB |
MODE_IMPORTDB |
MODE_CHECKSIG |
MODE_IMPORTKEY |
MODE_DELKEY |
MODE_LISTKEY |
MODE_QUERY |
MODE_VERIFY |
MODE_INSTALL |
MODE_ERASE |
MODE_UNKNOWN |
MODE_ADDSIGN |
MODE_RESIGN |
MODE_DELSIGN |
MODE_UNKNOWN |
MODE_QUERY |
MODE_PARSE |

Definition at line 15 of file rpmsign.c.

## Function Documentation

static int checkPassPhrase | ( | const char * | passPhrase | ) |
| static

Definition at line 44 of file rpmsign.c.

References _, environ, rpmExpand(), and rstreq().

Referenced by doSign().

static int doSign | ( | poptContext | optCon | ) |
| static

Definition at line 111 of file rpmsign.c.

References _, checkPassPhrase(), rpmExpand(), rpmPkgSign(), rstrdup(), and rstreq().

Referenced by main().

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 142 of file rpmsign.c.

References _, argerror(), doSign(), MODE_ADDSIGN, MODE_DELSIGN, MODE_RESIGN, printUsage(), rpmcliFini(), rpmcliInit(), and rpmPkgDelSign().

## Variable Documentation

char** environ = NULL

Definition at line 12 of file rpmsign.c.

Referenced by checkPassPhrase().

int mode = 0
| static

Definition at line 21 of file rpmsign.c.

struct poptOption optionsTable[]
| static

Initial value:
= {
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, signOptsTable, 0,
"Signature options:" , NULL },
{ NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
"Common options for all rpm modes and executables:" , NULL },
POPT_AUTOALIAS
POPT_AUTOHELP
POPT_TABLEEND
}
signOptsTable
static struct poptOption signOptsTable[]
Definition: rpmsign.c:23
rpmcliAllPoptTable
struct poptOption rpmcliAllPoptTable[]
Popt option table for options shared by all modes and executables.

Definition at line 33 of file rpmsign.c.

struct poptOption signOptsTable[]
| static

Initial value:
= {
{ "addsign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_ADDSIGN,
"sign package(s)" , NULL },
{ "resign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_RESIGN,
"sign package(s) (identical to --addsign)" , NULL },
{ "delsign", '\0', (POPT_ARG_VAL|POPT_ARGFLAG_OR), &mode, MODE_DELSIGN,
"delete package signatures" , NULL },
POPT_TABLEEND
}
MODE_DELSIGN
Definition: rpmsign.c:18
mode
static int mode
Definition: rpmsign.c:21
MODE_ADDSIGN
Definition: rpmsign.c:16
MODE_RESIGN
Definition: rpmsign.c:17

Definition at line 23 of file rpmsign.c.